Skip to main content
GET
/
batch-definitions
/
catalog-urn
Python
from meibel import MeibelClient

client = MeibelClient(api_key="your-api-key")

result = client.batches.get_by_catalog_urn()
print(result)
{
  "id": "<string>",
  "customer_id": "<string>",
  "project_id": "<string>",
  "name": "<string>",
  "version": "<string>",
  "parent_version": "<string>",
  "catalog_urn": "<string>",
  "agent_urn": "<string>",
  "agent_spec_json": {},
  "input_datasource_id": "<string>",
  "concurrency": 123,
  "retry_limit": 123,
  "created_at": "2023-11-07T05:31:56Z",
  "created_by": "<string>",
  "filters": {},
  "output_datasource_id": "<string>",
  "user_message": "<string>",
  "recurrence_cron": "<string>",
  "description": "<string>",
  "deleted_at": "2023-11-07T05:31:56Z"
}

Documentation Index

Fetch the complete documentation index at: https://docs.meibel.ai/llms.txt

Use this file to discover all available pages before exploring further.

Authorizations

Meibel-API-Key
string
header
required

Query Parameters

catalog_urn
string
required

urn:meibel:batch-definition:{customer}:{project}:{id}

Response

Successful Response

Full BatchDefinition snapshot.

id
string
required
customer_id
string
required
project_id
string
required
name
string
required
version
string
required
parent_version
string | null
required
catalog_urn
string
required
agent_urn
string
required
agent_spec_json
Agent Spec Json · object
required
input_datasource_id
string
required
concurrency
integer
required
retry_limit
integer
required
created_at
string<date-time>
required
created_by
string
required
filters
Filters · object

Optional override for the tool's parameters schema

output_datasource_id
string | null
user_message
string | null
recurrence_cron
string | null
description
string | null
deleted_at
string<date-time> | null